Package pywbem :: Module twisted_client :: Class WBEMClientFactory |
[frames] | no frames]

# Class WBEMClientFactory

source code

      twisted.internet.protocol.Factory --+
                                          |
    twisted.internet.protocol.ClientFactory --+
                                              |
                                             WBEMClientFactory

Known Subclasses:
  - AssociatorNames
  - , Associators
  - , CreateInstance
  - , DeleteInstance
  - , EnumerateClassNames
  - , EnumerateClasses
  - , EnumerateInstanceNames
  - , EnumerateInstances
  - , ExecQuery
  - , GetClass
  - , GetInstance
  - , InvokeMethod
  - , ModifyInstance
  - , ReferenceNames
  - , References

Create instances of the WBEMClient class.

Instance Methods
__init__(self, creds, operation, method, object, payload) | source code
clientConnectionFailed(self, connector, reason) Called when a connection has failed to connect. | source code
clientConnectionLost(self, connector, reason) Called when an established connection is lost. | source code
imethodcallPayload(self, methodname, localnsp, **kwargs) Generate the XML payload for an intrinsic methodcall. | source code
methodcallPayload(self, methodname, obj, namespace, **kwargs) Generate the XML payload for an extrinsic methodcall. | source code
parseErrorAndResponse(self, data) Parse returned XML for errors, then convert into appropriate Python objects. | source code
parseResponse(self, xml) Parse returned XML and convert into appropriate Python objects. | source code
Inherited from `twisted.internet.protocol.ClientFactory`: `startedConnecting` Inherited from `twisted.internet.protocol.Factory`: `__providedBy__`, `__provides__`, `buildProtocol`, `doStart`, `doStop`, `logPrefix`, `startFactory`, `stopFactory`

Class Methods
Inherited from `twisted.internet.protocol.Factory`: `forProtocol`

Class Variables
| request_xml = `None`
| response_xml = `None`
| xml_header = ``'``<?xml version="1.0" encoding="utf-8" ?>``'``
Inherited from `twisted.internet.protocol.Factory`: `__implemented__`, `noisy`, `numPorts`, `protocol`

Method Details

### clientConnectionFailed(self, connector, reason) | source code
Called when a connection has failed to connect. It may be useful to call connector.connect() - this will reconnect. @type reason: L{twisted.python.failure.Failure} Overrides: twisted.internet.protocol.ClientFactory.clientConnectionFailed (inherited documentation)

### clientConnectionLost(self, connector, reason) | source code
Called when an established connection is lost. It may be useful to call connector.connect() - this will reconnect. @type reason: L{twisted.python.failure.Failure} Overrides: twisted.internet.protocol.ClientFactory.clientConnectionLost (inherited documentation)

### parseResponse(self, xml) | source code
Parse returned XML and convert into appropriate Python objects. Override in subclass